﻿using System;
using System.Web.Routing;

namespace WebFormRouting
{
    public class Global : System.Web.HttpApplication
    {
        void Application_Start(object sender, EventArgs e)
        {
            RegisterRoutes(RouteTable.Routes);
        }
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.MapPageRoute("UrlPager_ReversePageIndex",
                "{controller}/{action}/{id}",
                "~/ReversePageIndex.aspx",false,new RouteValueDictionary{{"controller","Employees"},{"action","List"}},new RouteValueDictionary{{"controller","Employees"},{"action","List"}});
            routes.MapPageRoute("UrlPager_Repeater",
                "{controller}/{action}/page_{id}",
                "~/Repeater.aspx", false, new RouteValueDictionary { { "controller", "Employees" }, { "action", "Show" } }, new RouteValueDictionary { { "controller", "Employees" }, { "action", "Show" } });
            routes.MapPageRoute("UrlPager_RouteValues",
                "{controller}/page_{id}",
                "~/RouteValues.aspx", false, new RouteValueDictionary { { "controller", "Employees" } }, new RouteValueDictionary { { "controller", "Employees" }});

            routes.MapPageRoute("UrlPager_Basic",
                "Home/p_{id}",
                "~/Default.aspx");
        }
    }
}
